setwd("C:/sepp/work/fabia/experiments")


library(fabia)
library(biclust)
library(truecluster)
library(BicARE)
library(pspearman)

convertFabia_inf <- function(rFab,n=1000,l=100,minc=5,minr=30,method="fabia",cyc=200,alpha=0.3,spl=1.0,spz=1.0,p=13,sL=0.0,sZ=0.0,La=NULL,Za=NULL,lapla=NULL,Psi=NULL)
{

    require(biclust)


    info <- as.vector(rep(0,p))

    p <- length(rFab$bic[,1])

    pp <- 0
    for (i in 1:p) {
        if (rFab$bic[i,1]$binp[1]>=minr)
        {
            if (rFab$bic[i,1]$binp[2]>=minc) {
                pp <- pp + 1
            }
        }
    }

    if ((p==0)||(pp==0)) {
        L <- matrix(0,n,1)
        Z <- matrix(0,1,l)
        pp <- 0
    } else {


        L <- matrix(0,n,pp)
        Z <- matrix(0,pp,l)

        j <- 0

        for (i in 1:p) {

            if (rFab$bic[i,1]$binp[1]>=minr)
            {
                if (rFab$bic[i,1]$binp[2]>=minc) {
                    j <- j + 1
                    info[j] <- rFab$avini[i]
                    for (k in 1:rFab$bic[i,1]$binp[2]) {
                        Z[j,rFab$num[i,2]$numnp[k]] <- 1
                    }
                    for (k in 1:rFab$bic[i,1]$binp[1]) {
                        L[rFab$num[i,1]$numng[k],j] <- 1
                    }
                }
            }
        }
    }

    lp<- list()
    lp[[1]]=method
    lp[[2]]=cyc
    lp[[3]]=alpha
    lp[[4]]=spl
    lp[[5]]=spz
    lp[[6]]=p
    lp[[7]]=sL
    lp[[8]]=sZ
    lp[[9]]=La
    lp[[10]]=Za
    lp[[11]]=lapla
    lp[[12]]=Psi
    lp[[13]]=info



    bicB <- BiclustResult(lp,L,Z,pp)

    return(bicB)
}


indices_order <- function (bicA, bicB)
{
    require(truecluster)

    pA <- bicA@Number
    pB <- bicB@Number
    solja <- 1:pB
    solku <- 1:pB
    soloc <- 1:pB
    solso <- 1:pB

    if ((pA>0)&&(pB>0)) {
        n <- length(bicA@RowxNumber[,1])
        l <- length(bicA@NumberxCol[1,])
        u <- n*l

        jamat <- matrix(0,pA,pB)
        kumat <- matrix(0,pA,pB)
        ocmat <- matrix(0,pA,pB)
        somat <- matrix(0,pA,pB)
        for (i in 1:pA) {
            bcA <- tcrossprod(bicA@RowxNumber[,i],bicA@NumberxCol[i,])
            apos <- bcA > 0
            sa <- sum(apos)
            if (sa > 0.5*u) {
                 bcA[apos] <- 0
                 sa <- 0
            }
            for (j in 1:pB) {
                bcB <- tcrossprod(bicB@RowxNumber[,j],bicB@NumberxCol[j,])
                bpos <- bcB > 0
                sb <- sum(bpos)
                if (sb > 0.5*u) {
                    bcB[bpos] <- 0
                    sb <- 0
                }
                bcAB <- bcA + bcB
                abpos <- bcAB > 0
                sab <- sum(abpos)

                if (sab>0) {
                    jamat[i,j] <- (sa + sb)/sab - 1
                    somat[i,j] <- 2.0-2.0*sab/(sa+sb)
                } else {
                    jamat[i,j] <- 0
                    somat[i,j] <- 0
                }
                if ((sa>0)&&(sb>0))
                {
                    kumat[i,j] <- 1.0+0.5*( (sa-sab)/sb + (sb -sab)/sa )
                    ocmat[i,j] <- (sa+sb-sab)/sqrt(sb*sa)
                }else {
                    kumat[i,j] <- 0
                    ocmat[i,j] <- 0
                }
            }
        }

        indja <- munkres(-jamat)
        indku <- munkres(-kumat)
        indoc <- munkres(-ocmat)
        indso <- munkres(-somat)

        solja <- indja$col
        solku <- indku$col
        soloc <- indoc$col
        solso <- indso$col

    }

    return(list(solja,solku,soloc,solso))
}


indrfabia_s_ja <- list()
indrfabia_s_ku <- list()
indrfabia_s_oc <- list()
indrfabia_s_so <- list()

indrfabias_s_ja <- list()
indrfabias_s_ku <- list()
indrfabias_s_oc <- list()
indrfabias_s_so <- list()


sindrorig_s_ja<- as.vector(rep(0,13))
sindrorig_s_ku<- as.vector(rep(0,13))
sindrorig_s_oc<- as.vector(rep(0,13))
sindrorig_s_so<- as.vector(rep(0,13))


sindrfabia_s_ku<- as.vector(rep(0,13))
sindrfabia_s_ja<- as.vector(rep(0,13))
sindrfabia_s_oc<- as.vector(rep(0,13))
sindrfabia_s_so<- as.vector(rep(0,13))

sindrfabias_s_ku<- as.vector(rep(0,13))
sindrfabias_s_ja<- as.vector(rep(0,13))
sindrfabias_s_oc<- as.vector(rep(0,13))
sindrfabias_s_so<- as.vector(rep(0,13))








windrfabia_s_ja <- list()
windrfabia_s_ku <- list()
windrfabia_s_oc <- list()
windrfabia_s_so <- list()

windrfabias_s_ja <- list()
windrfabias_s_ku <- list()
windrfabias_s_oc <- list()
windrfabias_s_so <- list()


wsindrorig_s_ja<- as.vector(rep(0,13))
wsindrorig_s_ku<- as.vector(rep(0,13))
wsindrorig_s_oc<- as.vector(rep(0,13))
wsindrorig_s_so<- as.vector(rep(0,13))


wsindrfabia_s_ku<- as.vector(rep(0,13))
wsindrfabia_s_ja<- as.vector(rep(0,13))
wsindrfabia_s_oc<- as.vector(rep(0,13))
wsindrfabia_s_so<- as.vector(rep(0,13))

wsindrfabias_s_ku<- as.vector(rep(0,13))
wsindrfabias_s_ja<- as.vector(rep(0,13))
wsindrfabias_s_oc<- as.vector(rep(0,13))
wsindrfabias_s_so<- as.vector(rep(0,13))





#=====================================================================
#=====================================================================

m <- 100

n=1000
l=100
alpha_fabia = 0.4
alpha_fabias = 0.6
spl=1.0
spz=1.0
cyc=200
p=13

#=====================================================================
#=====================================================================

ini_rank_a <- list()
sim_rank_a_ja <- list()
sim_rank_a_ku <- list()
sim_rank_a_oc <- list()
sim_rank_a_so <- list()

ini_rank_s <- list()
sim_rank_s_ja <- list()
sim_rank_s_ku <- list()
sim_rank_s_oc <- list()
sim_rank_s_so <- list()



for (i in 1:m) {

    load(paste("exp_",as.character(i),"_Biclust_orig.RData",sep = ""))



    load(paste("exp_",as.character(i),"_Biclust_fabia.RData",sep = ""))

    L <- rfabia@Parameters[[9]]
    Z <- rfabia@Parameters[[10]]
    lapla <- rfabia@Parameters[[11]]
    Psi <- rfabia@Parameters[[12]]


    rFab <- extract_bic(L,Z,lapla=lapla,Psi=Psi)

    rfabia <- convertFabia_inf(rFab,n=n,l=l,minc=5,minr=30,method="fabia",cyc=cyc,alpha=alpha_fabia,spl=spl,spz=spz,p=p,sL=0.0,sZ=0.0,L=resFab$L,Z=resFab$Z,lapla=resFab$lapla,Psi=resFab$Psi)


    indrfabia<-indices_order(rorig,rfabia)

    avini <- rfabia@Parameters[[13]]

    s0 <- sort(avini,decreasing = TRUE,index.return=TRUE)




    v1 <- as.vector(c(avini[indrfabia[[1]]]))
    v2 <- as.vector(c(avini[indrfabia[[2]]]))
    v3 <- as.vector(c(avini[indrfabia[[3]]]))
    v4 <- as.vector(c(avini[indrfabia[[4]]]))

    s1 <- sort(v1,decreasing = TRUE,index.return=TRUE)
    s2 <- sort(v2,decreasing = TRUE,index.return=TRUE)
    s3 <- sort(v3,decreasing = TRUE,index.return=TRUE)
    s4 <- sort(v4,decreasing = TRUE,index.return=TRUE)



    l1 <- length(v1)
    l2 <- length(v2)
    l3 <- length(v3)
    l4 <- length(v4)

    ini_rank_a[[i]] <- s0$ix[1:l1]
    sim_rank_a_ja[[i]] <- indrfabia[[1]]
    sim_rank_a_ku[[i]] <- indrfabia[[2]]
    sim_rank_a_oc[[i]] <- indrfabia[[3]]
    sim_rank_a_so[[i]] <- indrfabia[[4]]


    sindrfabia_s_ja[1:l1] <- sindrfabia_s_ja[1:l1] + v1
    sindrfabia_s_ku[1:l2] <- sindrfabia_s_ku[1:l2] + v2
    sindrfabia_s_oc[1:l3] <- sindrfabia_s_oc[1:l3] + v3
    sindrfabia_s_so[1:l4] <- sindrfabia_s_so[1:l4] + v4

    indrfabia_s_ja[[i]] <- v1
    indrfabia_s_ku[[i]] <- v2
    indrfabia_s_oc[[i]] <- v3
    indrfabia_s_so[[i]] <- v4

    al1 <- as.vector(rep((l1+1),13))
    al2 <- as.vector(rep((l2+1),13))
    al3 <- as.vector(rep((l3+1),13))
    al4 <- as.vector(rep((l4+1),13))


    al1[1:l1] <- s1$ix
    al2[1:l2] <- s2$ix
    al3[1:l3] <- s3$ix
    al4[1:l4] <- s4$ix

    wsindrfabia_s_ja <- wsindrfabia_s_ja + al1
    wsindrfabia_s_ku <- wsindrfabia_s_ku + al2
    wsindrfabia_s_oc <- wsindrfabia_s_oc + al3
    wsindrfabia_s_so <- wsindrfabia_s_so + al4

    windrfabia_s_ja[[i]] <-  al1
    windrfabia_s_ku[[i]] <-  al2
    windrfabia_s_oc[[i]] <-  al3
    windrfabia_s_so[[i]] <-  al4


    load(paste("exp_",as.character(i),"_Biclust_fabias.RData",sep = ""))


    L <- rfabias@Parameters[[9]]
    Z <- rfabias@Parameters[[10]]
    lapla <- rfabias@Parameters[[11]]
    Psi <- rfabias@Parameters[[12]]


    rFab <- extract_bic(L,Z,lapla=lapla,Psi=Psi)


    rfabias <- convertFabia_inf(rFab,n=n,l=l,minc=5,minr=30,method="fabias",cyc=cyc,alpha=alpha_fabias,spl=spl,spz=spz,p=p,sL=0.0,sZ=0.0,L=resFab$L,Z=resFab$Z,lapla=resFab$lapla,Psi=resFab$Psi)

    indrfabias<-indices_order(rorig,rfabias)

    avini <- rfabias@Parameters[[13]]

    s0 <- sort(avini,decreasing = TRUE,index.return=TRUE)



    v1 <- as.vector(c(avini[indrfabias[[1]]]))
    v2 <- as.vector(c(avini[indrfabias[[2]]]))
    v3 <- as.vector(c(avini[indrfabias[[3]]]))
    v4 <- as.vector(c(avini[indrfabias[[4]]]))

    s1 <- sort(v1,decreasing = TRUE,index.return=TRUE)
    s2 <- sort(v2,decreasing = TRUE,index.return=TRUE)
    s3 <- sort(v3,decreasing = TRUE,index.return=TRUE)
    s4 <- sort(v4,decreasing = TRUE,index.return=TRUE)


    l1 <- length(v1)
    l2 <- length(v2)
    l3 <- length(v3)
    l4 <- length(v4)

    ini_rank_s[[i]] <- s0$ix[1:l1]
    sim_rank_s_ja[[i]] <- indrfabias[[1]]
    sim_rank_s_ku[[i]] <- indrfabias[[2]]
    sim_rank_s_oc[[i]] <- indrfabias[[3]]
    sim_rank_s_so[[i]] <- indrfabias[[4]]

    sindrfabias_s_ja[1:l1] <- sindrfabias_s_ja[1:l1] + v1
    sindrfabias_s_ku[1:l2] <- sindrfabias_s_ku[1:l2] + v2
    sindrfabias_s_oc[1:l3] <- sindrfabias_s_oc[1:l3] + v3
    sindrfabias_s_so[1:l4] <- sindrfabias_s_so[1:l4] + v4

    indrfabias_s_ja[[i]] <- v1
    indrfabias_s_ku[[i]] <- v2
    indrfabias_s_oc[[i]] <- v3
    indrfabias_s_so[[i]] <- v4


    al1 <- as.vector(rep((l1+1),13))
    al2 <- as.vector(rep((l2+1),13))
    al3 <- as.vector(rep((l3+1),13))
    al4 <- as.vector(rep((l4+1),13))


    al1[1:l1] <- s1$ix
    al2[1:l2] <- s2$ix
    al3[1:l3] <- s3$ix
    al4[1:l4] <- s4$ix

    wsindrfabias_s_ja <- wsindrfabias_s_ja + al1
    wsindrfabias_s_ku <- wsindrfabias_s_ku + al2
    wsindrfabias_s_oc <- wsindrfabias_s_oc + al3
    wsindrfabias_s_so <- wsindrfabias_s_so + al4

    windrfabias_s_ja[[i]] <-  al1
    windrfabias_s_ku[[i]] <-  al2
    windrfabias_s_oc[[i]] <-  al3
    windrfabias_s_so[[i]] <-  al4





}

    sindrfabia_s_ja <- sindrfabia_s_ja/m
    sindrfabia_s_ku <- sindrfabia_s_ku/m
    sindrfabia_s_oc <- sindrfabia_s_oc/m
    sindrfabia_s_so <- sindrfabia_s_so/m

    sindrfabia_v_ja <- as.vector(rep(0,13))
    sindrfabia_v_ku <- as.vector(rep(0,13))
    sindrfabia_v_oc <- as.vector(rep(0,13))
    sindrfabia_v_so <- as.vector(rep(0,13))


    sindrfabias_s_ja <- sindrfabias_s_ja/m
    sindrfabias_s_ku <- sindrfabias_s_ku/m
    sindrfabias_s_oc <- sindrfabias_s_oc/m
    sindrfabias_s_so <- sindrfabias_s_so/m

    sindrfabias_v_ja <- as.vector(rep(0,13))
    sindrfabias_v_ku <- as.vector(rep(0,13))
    sindrfabias_v_oc <- as.vector(rep(0,13))
    sindrfabias_v_so <- as.vector(rep(0,13))


    wsindrfabia_s_ja <- wsindrfabia_s_ja/m
    wsindrfabia_s_ku <- wsindrfabia_s_ku/m
    wsindrfabia_s_oc <- wsindrfabia_s_oc/m
    wsindrfabia_s_so <- wsindrfabia_s_so/m

    wsindrfabia_v_ja <- as.vector(rep(0,13))
    wsindrfabia_v_ku <- as.vector(rep(0,13))
    wsindrfabia_v_oc <- as.vector(rep(0,13))
    wsindrfabia_v_so <- as.vector(rep(0,13))


    wsindrfabias_s_ja <- wsindrfabias_s_ja/m
    wsindrfabias_s_ku <- wsindrfabias_s_ku/m
    wsindrfabias_s_oc <- wsindrfabias_s_oc/m
    wsindrfabias_s_so <- wsindrfabias_s_so/m

    wsindrfabias_v_ja <- as.vector(rep(0,13))
    wsindrfabias_v_ku <- as.vector(rep(0,13))
    wsindrfabias_v_oc <- as.vector(rep(0,13))
    wsindrfabias_v_so <- as.vector(rep(0,13))


for (i in 1:m) {


    v1 <- indrfabia_s_ja[[i]]
    v2 <- indrfabia_s_ku[[i]]
    v3 <- indrfabia_s_oc[[i]]
    v4 <- indrfabia_s_so[[i]]

    l1 <- length(v1)
    l2 <- length(v2)
    l3 <- length(v3)
    l4 <- length(v4)


    sindrfabia_v_ja[1:l1]<-(v1-sindrfabia_s_ja[1:l1])^2
    sindrfabia_v_ku[1:l2]<-(v2-sindrfabia_s_ku[1:l2])^2
    sindrfabia_v_oc[1:l3]<-(v3-sindrfabia_s_oc[1:l3])^2
    sindrfabia_v_so[1:l4]<-(v4-sindrfabia_s_so[1:l4])^2

    v1 <- indrfabias_s_ja[[i]]
    v2 <- indrfabias_s_ku[[i]]
    v3 <- indrfabias_s_oc[[i]]
    v4 <- indrfabias_s_so[[i]]

    l1 <- length(v1)
    l2 <- length(v2)
    l3 <- length(v3)
    l4 <- length(v4)


    sindrfabias_v_ja[1:l1]<-(v1-sindrfabias_s_ja[1:l1])^2
    sindrfabias_v_ku[1:l2]<-(v2-sindrfabias_s_ku[1:l2])^2
    sindrfabias_v_oc[1:l3]<-(v3-sindrfabias_s_oc[1:l3])^2
    sindrfabias_v_so[1:l4]<-(v4-sindrfabias_s_so[1:l4])^2


    wsindrfabia_v_ja<-(windrfabia_s_ja[[i]]-wsindrfabia_s_ja)^2
    wsindrfabia_v_ku<-(windrfabia_s_ku[[i]]-wsindrfabia_s_ku)^2
    wsindrfabia_v_oc<-(windrfabia_s_oc[[i]]-wsindrfabia_s_oc)^2
    wsindrfabia_v_so<-(windrfabia_s_so[[i]]-wsindrfabia_s_so)^2


    wsindrfabias_v_ja<-(windrfabias_s_ja[[i]]-wsindrfabias_s_ja)^2
    wsindrfabias_v_ku<-(windrfabias_s_ku[[i]]-wsindrfabias_s_ku)^2
    wsindrfabias_v_oc<-(windrfabias_s_oc[[i]]-wsindrfabias_s_oc)^2
    wsindrfabias_v_so<-(windrfabias_s_so[[i]]-wsindrfabias_s_so)^2




}

sindrfabia_v_ja <- sindrfabia_v_ja/(m-1)
sindrfabia_v_ku <- sindrfabia_v_ku/(m-1)
sindrfabia_v_oc <- sindrfabia_v_oc/(m-1)
sindrfabia_v_so <- sindrfabia_v_so/(m-1)

sindrfabias_v_ja <- sindrfabias_v_ja/(m-1)
sindrfabias_v_ku <- sindrfabias_v_ku/(m-1)
sindrfabias_v_oc <- sindrfabias_v_oc/(m-1)
sindrfabias_v_so <- sindrfabias_v_so/(m-1)


wsindrfabia_v_ja <- wsindrfabia_v_ja/(m-1)
wsindrfabia_v_ku <- wsindrfabia_v_ku/(m-1)
wsindrfabia_v_oc <- wsindrfabia_v_oc/(m-1)
wsindrfabia_v_so <- wsindrfabia_v_so/(m-1)

wsindrfabias_v_ja <- wsindrfabias_v_ja/(m-1)
wsindrfabias_v_ku <- wsindrfabias_v_ku/(m-1)
wsindrfabias_v_oc <- wsindrfabias_v_oc/(m-1)
wsindrfabias_v_so <- wsindrfabias_v_so/(m-1)



write.table(t(as.vector(sindrfabia_s_ja)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =FALSE)
write.table(t(as.vector(sindrfabia_s_ku)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabia_s_oc)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabia_s_so)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)

write.table(t(as.vector(sindrfabias_s_ja)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabias_s_ku)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabias_s_oc)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabias_s_so)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)

write.table(t(as.vector(sindrfabia_v_ja)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabia_v_ku)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabia_v_oc)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabia_v_so)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)

write.table(t(as.vector(sindrfabias_v_ja)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabias_v_ku)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabias_v_oc)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(sindrfabias_v_so)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)



write.table(t(as.vector(wsindrfabia_s_ja)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabia_s_ku)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabia_s_oc)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabia_s_so)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)

write.table(t(as.vector(wsindrfabias_s_ja)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabias_s_ku)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabias_s_oc)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabias_s_so)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)

write.table(t(as.vector(wsindrfabia_v_ja)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabia_v_ku)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabia_v_oc)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabia_v_so)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)

write.table(t(as.vector(wsindrfabias_v_ja)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabias_v_ku)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabias_v_oc)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(wsindrfabias_v_so)), file ="info_result.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)





uini_rank_a    <-  unlist(ini_rank_a)
usim_rank_a_ja <-  unlist(sim_rank_a_ja )
usim_rank_a_ku <-  unlist(sim_rank_a_ku)
usim_rank_a_oc <-  unlist(sim_rank_a_oc)
usim_rank_a_so <-  unlist(sim_rank_a_so)

uini_rank_s    <-  unlist(ini_rank_s )
usim_rank_s_ja <-  unlist(sim_rank_s_ja)
usim_rank_s_ku <-  unlist(sim_rank_s_ku)
usim_rank_s_oc <-  unlist(sim_rank_s_oc)
usim_rank_s_so <-  unlist(sim_rank_s_so)

write.table(t(as.vector(uini_rank_a)), file ="ranks_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =FALSE)
write.table(t(as.vector(usim_rank_a_ja)), file ="ranks_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(usim_rank_a_ku)), file ="ranks_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(usim_rank_a_oc)), file ="ranks_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(usim_rank_a_so)), file ="ranks_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)

write.table(t(as.vector(uini_rank_s)), file ="ranks_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =FALSE)
write.table(t(as.vector(usim_rank_s_ja)), file ="ranks_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(usim_rank_s_ku)), file ="ranks_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(usim_rank_s_oc)), file ="ranks_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(usim_rank_s_so)), file ="ranks_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)



p_a_ja <- spearman.test(x=uini_rank_a, y = usim_rank_a_ja,alternative = "two.sided")

p_a_ku <- spearman.test(x=uini_rank_a, y = usim_rank_a_ku,alternative = "two.sided")

p_a_oc <- spearman.test(x=uini_rank_a, y = usim_rank_a_oc,alternative = "two.sided")

p_a_so <- spearman.test(x=uini_rank_a, y = usim_rank_a_so,alternative = "two.sided")


p_s_ja <- spearman.test(x=uini_rank_s, y = usim_rank_s_ja,alternative = "two.sided")

p_s_ku <- spearman.test(x=uini_rank_s, y = usim_rank_s_ku,alternative = "two.sided")

p_s_oc <- spearman.test(x=uini_rank_s, y = usim_rank_s_oc,alternative = "two.sided")

p_s_so <- spearman.test(x=uini_rank_s, y = usim_rank_s_so,alternative = "two.sided")


write.table(t(as.vector(p_a_ja)), file ="pvals_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =FALSE)
write.table(t(as.vector(p_a_ku)), file ="pvals_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(p_a_oc)), file ="pvals_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(p_a_so)), file ="pvals_a.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)

write.table(t(as.vector(p_s_ja)), file ="pvals_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =FALSE)
write.table(t(as.vector(p_s_ku)), file ="pvals_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(p_s_oc)), file ="pvals_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
write.table(t(as.vector(p_s_so)), file ="pvals_s.txt", quote = FALSE, sep = "\t",row.names = FALSE,col.names = FALSE,append =TRUE)
